Bug 736083 - subscription manager - automate unregistration of a host which is no longer online
Summary: subscription manager - automate unregistration of a host which is no longer o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 756082
TreeView+ depends on / blocked
 
Reported: 2011-09-06 16:01 UTC by Scott Spurrier
Modified: 2019-06-13 07:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-03 21:08:14 UTC


Attachments (Terms of Use)

Description Scott Spurrier 2011-09-06 16:01:52 UTC
Description of problem:

Requesting the ability to unsubscribe a host with subscription manager using another system.  We are looking for a way to unsubscribe a host using another system mainly because we need to do this after the host has already been retired.  If the subscription-manager command would allow you to pass in the consumerid, that would do the trick. Something like:

# subscription-manager unsubscribe --username <USERNAME> --password <PASSWORD> --consumerid=XXXXXXXXXXXXX

Comment 3 Bryan Kearney 2011-09-06 16:30:44 UTC
This can be done using python-rhsm. Please see the ungregisterConsumer method on the UEPConnection class.


Note You need to log in before you can comment on or make changes to this bug.